package com.crm.rely.backend.service;

import javax.jms.Queue;

/**
 * @program: user-custom
 * @description: mq统一发送
 * @author: houn
 * @create: 2019-05-22 09:41
 */
public interface MqSendService {

    /**
     * 发送消息(毫秒)
     *
     * @param queue 队列
     * @param msg   消息内容
     */
    void send(Queue queue, String msg);
    void send(Queue queue, Object msg);
    /**
     * 发送消息(毫秒)
     *
     * @param queueName 队列url(名称)
     * @param msg       消息内容
     */
    void send(String queueName, String msg);
    void send(String queueName, Object msg);
    /**
     * 发送延迟消息(毫秒)
     *
     * @param queue 队列
     * @param msg   消息内容
     * @param delay 延迟时间
     */
    void send(Queue queue, String msg, long delay);

    void send(Queue queue, Object msg, long delay);

    /**
     * 发送延迟消息(毫秒)
     *
     * @param queueName 队列url(名称)
     * @param msg       消息内容
     * @param delay     延迟时间
     */
    void send(String queueName, String msg, long delay);

    void send(String queueName, Object msg, long delay);

}
